Subject: Re: Complete install failure for 'ordinary' install on WinXp using setup.exe
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 23 May 2003 05:40:40 -0400

In a message dated 5/22/2003 9:26:48 PM Eastern Standard Time, [email-masked] writes:

> 
> 
> [email-masked] wrote:
> > In a message dated 5/22/2003 7:35:40 PM Eastern Standard Time, [email-masked] writes:
> > 
> >>>I have some kind of catastrophic install failure using
> >>>current setup.exe (2.340.2.5) on Windows XP for what would
> >>>seem to me to be an ordinary install.
> >>>
...
> Beyond that, it seems the missing utilities you report are
> corroborated by your list of installed packages.  Reviewing your
> list and comparing it against the list of packages at
> <http://cygwin.com/packages/>, I find you haven't installed the
> following packages:
...
> Not all of these are important but some packages in this list do
> correspond to the utilities you mention are missing.  Also, since
> you mentioned that you downloaded and subsequently installed everything,
> this difference is worth noting.  Can you check the packages you
> downloaded and verify that these packages do exist?  Then, can you
> run setup again and see if it thinks these packages exist and are
> installed or not?

No, these packages were not downloaded.

This is quite suprising to me, not only that I didn't
get them when I'm pretty sure I asked for them, (I
double-checked using setup.exe that I had downloaded all
Current things in the All catagory) but that setup.exe
did not warn me that I didn't get them.

setup.exe lied to me first when it said 'Download complete.'
Then when I asked it to install, it pretended like it
was doing all of the right things.. never a mention of
missing packages.

I cannot account for how this happened, but I suspect
that it is a combination of some kinds of bugs in setup.exe,
and a problem with the mirror I was using,
ftp://mirror.averse.net.

So, I tried another mirror,
http://mirrors.theonlinerecordstore.com, after copying
over the old downloaded packages to the newly-created
directory, and setup.exe happily continued downloading
all of the packages that you kindly listed for me
as missing (at least, the first few I verified as so.)

No idea how this happened, or why these particular
packages didn't make it through with that mirror, or why
there were no apparent errors.

For now, though, it looks like I have another few days
of downloading =)

Aaron

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/